%global __requires_exclude_from ^(/usr/bin/.*|/usr/sbin/.*|/bin/.*|/sbin/.*)$

Name:           xfce4-desktop-demo
Version:        1.0
Release:        3%{?dist}
Summary:        Meta package to install essential pakages for xfce4
License:        GPL
BuildArch:      noarch


# Installation Requirements
Requires:    glib2 >= 2.80
Requires:    xfdesktop
Requires:    xfce4-session
Requires:    xfce4-settings
Requires:    xfce4-panel
Requires:    xfce4-appfinder
Requires:    xfconf
Requires:    Thunar
Requires:    xfce4-notifyd
Requires:    xfce4-terminal
Requires:    xfce4-taskmanager
Requires:    xfce4-pulseaudio-plugin
Requires:    xfce4-notes-plugin
Requires:    xfce4-datetime-plugin
Requires:    xfce4-cpugraph-plugin
Requires:    xfce4-dict
Requires:    xfce4-diskperf-plugin
Requires:    xfce4-eyes-plugin
Requires:    xfce4-fsguard-plugin
Requires:    xfce4-mount-plugin
Requires:    xfce4-netload-plugin
Requires:    xfce4-power-manager
Requires:    xfce4-about
Requires:    xfce4-calculator-plugin
Requires:    xfce4-timer-plugin
Requires:    xcb-util
Requires:    xcb-util-image
Requires:    xcb-util-keysyms
Requires:    xcb-util-renderutil
Requires:    xcb-util-wm
Requires:    xcb-util-cursor
Requires:    pulseaudio
Requires:    pavucontrol
Requires:    pipewire-utils
Requires:    pipewire-plugin-jack
Requires:    pipewire-module-x11
Requires:    pipewire-media-session
Requires:    pipewire-alsa
Requires:    jack-audio-connection-kit
Recommends:  mousepad
Recommends:  ristretto
Recommends:  firefox
Recommends:  claws-mail
Recommends:  tigervnc-server
Recommends:  vim-X11
Recommends:  google-noto-cjk-fonts
Recommends:  google-noto-sans-cjk-sc-fonts
Recommends:  google-noto-cjk-fonts
Recommends:  google-noto-cjk-fonts-common
Recommends:  google-noto-emoji-color-fonts
Recommends:  google-noto-emoji-fonts
Recommends:  google-noto-fangsong-kss-vertical-fonts
Recommends:  google-noto-fonts-common
Recommends:  google-noto-kufi-arabic-fonts
Recommends:  google-noto-kufi-arabic-vf-fonts
Recommends:  google-noto-looped-thai-fonts
Recommends:  google-noto-music-fonts
Recommends:  google-noto-naskh-arabic-fonts
Recommends:  google-noto-naskh-arabic-ui-fonts
Recommends:  google-noto-naskh-arabic-ui-vf-fonts
Recommends:  google-noto-naskh-arabic-vf-fonts
Recommends:  vlc


%description
This is an empty package used to install all demo packages.

%prep
# No preparation required.

%build
# No building required.

%install
# No installation required.

%files
# No files are packaged.



%post
cat << EOF > /tmp/xfce4-xstartup
#!/bin/sh
unset SESSION_MANAGER
unset DBUS_SESSION_BUS_ADDRESS
exec startxfce4
EOF

for userdir in /home/*; do
    mkdir -p "$userdir/.vnc"
    cp /tmp/xfce4-xstartup  $userdir/.vnc/xstartup
    chown -R $(basename $userdir):$(basename $userdir) $userdir/.vnc
done




%changelog
* Mon Jul 01 2024 Yonghang Wang <wyhang@gmail.com> - 1.0
- Initial


